Cyberduck Mountain Duck CLI

#928 closed enhancement (wontfix)

Go back / forward should use Finder+Safari key commands

Reported by: jamescat Owned by: dkocher
Priority: normal Milestone:
Component: interface Version: 2.6.2
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

I'd like to suggest that in addition to (not instead of) using Cmd-LeftArrow and Cmd-RightArrow to navigate backward and forward, you should enable the use of Cmd-[ and Cmd-] for those same actions.

This mapping is common to both the Finder and Safari (as well as many other apps these days) and would make for a much more consistent experience for the users.

I for one, have my Logitech mouse's thumb buttons set to these command keys for convenient history actions in many apps, and would like them to work in Cyberduck as well -- without having to map them manually in System Preferences for this app, which I've done in the meantime.

Change History (5)

comment:1 Changed on Feb 12, 2007 at 1:45:06 PM by dkocher

  • Milestone changed from 2.8 to 2.9

Milestone 2.8 deleted

comment:2 Changed on Feb 12, 2007 at 9:47:47 PM by jazbek

here's an idea -- make cmd-[ and cmd-] go back and forward in the browse history, and make cmd-left arrow and cmd-right arrow expand and collapse directories in outline view.

been wanting to enter this as a feature request for some time now because there's no keyboard shortcut that expands/collapses directories in outline view (that i know of). came here to finally do it and found this request which i think it meshes nicely with (unless there is another keyboard shortcut that be use to expand/collapse folders in the outline view, which is all i really want, :) ).

comment:3 Changed on Feb 13, 2007 at 3:45:56 PM by dkocher

To expand/collapse items in the outline view just use the right/left-arrow key as you would in the Finder

comment:4 Changed on Feb 13, 2007 at 6:09:17 PM by jazbek

wow, how did i not notice that? thanks for letting me know!

comment:5 Changed on May 18, 2007 at 11:26:25 AM by dkocher

  • Milestone 2.9 deleted
  • Resolution set to wontfix
  • Status changed from new to closed

Cmd-[ and Cmd-] are not easy accessible on non-US keyboards and therefore not used.

Note: See TracTickets for help on using tickets.
swiss made software